Package org.apache.lucene.analysis.ja.tokenattributes

# Class PartOfSpeechAttributeImpl

java.lang.Object
org.apache.lucene.util.AttributeImpl
org.apache.lucene.analysis.ja.tokenattributes.PartOfSpeechAttributeImpl

All Implemented Interfaces:
  `Cloneable`, `PartOfSpeechAttribute`, `Attribute`

public class PartOfSpeechAttributeImpl extends AttributeImpl implements PartOfSpeechAttribute
Attribute for `Token.getPartOfSpeech()`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartOfSpeechAttributeImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `void`
  `copyTo(AttributeImpl target)`
  `String`
  `getPartOfSpeech()`
  `void`
  `reflectWith(AttributeReflector reflector)`
  `void`
  `setToken(Token token)`

  ### Methods inherited from class org.apache.lucene.util.AttributeImpl

  `clone, end, reflectAsString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PartOfSpeechAttributeImpl

    public PartOfSpeechAttributeImpl()

- ## Method Details

  - ### getPartOfSpeech

    public String getPartOfSpeech()
    Specified by:
      `getPartOfSpeech` in interface `PartOfSpeechAttribute`

  - ### setToken

    public void setToken(Token token)
    Specified by:
      `setToken` in interface `PartOfSpeechAttribute`

  - ### clear

    public void clear()
    Specified by:
      `clear` in class `AttributeImpl`

  - ### copyTo

    public void copyTo(AttributeImpl target)
    Specified by:
      `copyTo` in class `AttributeImpl`

  - ### reflectWith

    public void reflectWith(AttributeReflector reflector)
    Specified by:
      `reflectWith` in class `AttributeImpl`